CREATE OR REPLACE VIEW VW_FCO_INTEGRADA_RT02 AS
SELECT compania,
       anio,
       mes,
       sucursal,
       tipo_planilla,
       trabajador,
       secuencia,
       '02' || secuencia || tipo_documento || RPad(nro_id, 16, ' ') ||
       ltrim(to_char(tipo_cotizante, '00')) ||
       ltrim(to_char(subtipo_cotizante, '00')) ||
       extranjero_no_pension || residente_en_exterior || departamento ||
       municipio ||
       RPad(fn_fco_valida_nombre(primer_apellido) || ' ', 20, ' ') ||
       RPad(fn_fco_valida_nombre(segundo_apellido) || ' ', 30, ' ') ||
       RPad(fn_fco_valida_nombre(primer_nombre) || ' ', 20, ' ') ||
       RPad(fn_fco_valida_nombre(segundo_nombre) || ' ', 30, ' ') ||
       nov_ING || nov_RET || nov_TDE || nov_TAE || nov_TDP || nov_TAP || nov_VSP || nov_VTE ||
       nov_VST || nov_SLN || nov_IGE || nov_LMA || nov_VAC || nov_AVP || nov_VCT || nov_IRP ||
       RPad(fn_fco_cod_super('AFP', cod_AFP), 6, ' ') ||
       RPad(fn_fco_cod_super('AFP', cod_AFP_Tras), 6, ' ') ||
       RPad(fn_fco_cod_super('EPS', cod_EPS), 6, ' ') ||
       Rpad(fn_fco_cod_super('CCF', cod_EPS_Tras), 6, ' ') ||
       RPad(fn_fco_cod_super('CCF', cod_CCF), 6, ' ') ||
       rtrim(ltrim(to_char(dias_AFP, '00'))) ||
       rtrim(ltrim(to_char(dias_EPS, '00'))) ||
       rtrim(ltrim(to_char(dias_ARP, '00'))) ||
       rtrim(ltrim(to_char(dias_CCF, '00'))) ||
       rtrim(ltrim(to_char(salario, '000000000'))) || integral ||
       rtrim(ltrim(to_char(IBC_AFP, '000000000'))) ||
       rtrim(ltrim(to_char(IBC_EPS, '000000000'))) ||
       rtrim(ltrim(to_char(IBC_ARP, '000000000'))) ||
       rtrim(ltrim(to_char(IBC_CCF, '000000000'))) ||
       rtrim(ltrim(to_char(tarifa_AFP, '0.00000'))) ||
       rtrim(ltrim(to_char(aporte_AFP, '000000000'))) ||
       rtrim(ltrim(to_char(voluntario_AFP, '000000000'))) ||
       rtrim(ltrim(to_char(voluntario_AFP_cia, '000000000'))) ||
       rtrim(ltrim(to_char(aporte_total_AFP, '000000000'))) ||
       rtrim(ltrim(to_char(aporte_FSP, '000000000'))) ||
       rtrim(ltrim(to_char(aporte_FSP_subsistencia, '000000000'))) ||
       rtrim(ltrim(to_char(valor_no_retenido, '000000000'))) ||
       rtrim(ltrim(to_char(tarifa_EPS, '0.00000'))) ||
       rtrim(ltrim(to_char(aporte_EPS, '000000000'))) ||
       rtrim(ltrim(to_char(UPC_adicional, '000000000'))) ||
       RPad(nro_aut_IGE, 15, ' ') ||
       rtrim(ltrim(to_char(vlr_aut_IGE, '000000000'))) ||
       Rpad(nro_aut_LMA, 15, ' ') ||
       rtrim(ltrim(to_char(vlr_aut_LMA, '000000000'))) ||
       rtrim(ltrim(to_char(tarifa_ARP, '0.0000000'))) ||
       rtrim(ltrim(to_char(centro_trabajo, '000000000'))) ||
       rtrim(ltrim(to_char(aporte_ARP, '000000000'))) ||
       rtrim(ltrim(to_char(tarifa_CCF, '0.00000'))) ||
       rtrim(ltrim(to_char(aporte_CCF, '000000000'))) ||
       rtrim(ltrim(to_char(tarifa_SENA, '0.00000'))) ||
       rtrim(ltrim(to_char(aporte_SENA, '000000000'))) ||
       rtrim(ltrim(to_char(tarifa_ICBF, '0.00000'))) ||
       rtrim(ltrim(to_char(aporte_ICBF, '000000000'))) ||
       rtrim(ltrim(to_char(tarifa_ESAP, '0.00000'))) ||
       rtrim(ltrim(to_char(aporte_ESAP, '000000000'))) ||
       rtrim(ltrim(to_char(tarifa_MEdu, '0.00000'))) ||
       rtrim(ltrim(to_char(aporte_MEdu, '000000000'))) registro2
  FROM fco_integrada_det
 WHERE eliminada = 0
   AND aporte_EPS + aporte_AFP + aporte_CCF + aporte_ARP <> 0
